#OPAL Shaders Block Mapping

#Foliage
#  100 - Grass
#  101 - Tall Grass Upper
#  102 - Tall Grass Lower
#  103 - Plants
#  104 - Tall Plants Upper
#  105 - Tall Plants Lower
#  106 - Crops
#  107 - Tall Plants Upper Stiffer
#  108 - Tall Plants Lower Stiffer
#  109 - Cherry Leaves
#  110 - Leaves
#  111 - Vines
#  112 - Lilypad
#  113 - Stem
#  120 - Static Foliage
#  121 - Saplings
#  122 - Dead Bush
#  123 - Azalea
#  124 - Cave Vines
#  125 - Big Dripleaf
#  126 - Small Dripleaf
#  127 - Pink Petals
#  128 - Pitcher Crop Lower
#  129 - Pale Hanging Moss

#  130 - Seagrass
#  131 - Tall Seagrass Upper
#  132 - Tall Seagrass Lower
#  133 - Coral

#  140 - Cobweb

#  190 - Weeping Vines
#  191 - Twisting Vines

#Emissive
#  200 - Unleveled
#  207 - Level 7
#  210 - Level 10
#  214 - Level 14
#  215 - Level 15
#  216 - Unleveled Recolor
#  217 - Jack o Lantern
#  218 - Exposed Copper Bulb
#  226 - Level 10 Recolor
#  231 - Level 15 Recolor
#  245 - Level 13 Flat
#  248 - Lava
#  249 - Fire
#  250 - Beacon
#  251 - Hanging Lantern
#  252 - Soul Fire
#  253 - Hanging Soul Lantern
#  254 - Sculk
#  255 - Sculk Catalyst
#  256 - Sculk Sensor

#Translucents
#  300 - Water
#  301 - Ice
#  302 - Dense Translucents
#  303 - Nether Portal
#  304 - Glass

#Misc.
#  400 - No Vanilla AO
#  401 - Sign
#  402 - Chain
#  404 - Default Sand Blocks

#if MC_VERSION >= 11300

#1.13+ Mapping

block.10100=minecraft:grass minecraft:short_grass minecraft:fern minecraft:crimson_roots minecraft:warped_roots minecraft:nether_sprouts
block.10101=minecraft:tall_grass:half=upper minecraft:large_fern:half=upper
block.10102=minecraft:tall_grass:half=lower minecraft:large_fern:half=lower
block.10103=minecraft:dandelion minecraft:poppy minecraft:blue_orchid minecraft:allium minecraft:azure_bluet minecraft:red_tulip minecraft:orange_tulip minecraft:white_tulip minecraft:pink_tulip minecraft:oxeye_daisy minecraft:cornflower minecraft:lily_of_the_valley minecraft:torchflower minecraft:torchflower_crop minecraft:wither_rose minecraft:closed_eyeblossom minecraft:open_eyeblossom minecraft:sweet_berry_bush  
block.10104=minecraft:lilac:half=upper minecraft:rose_bush:half=upper minecraft:peony:half=upper
block.10105=minecraft:lilac:half=lower minecraft:rose_bush:half=lower minecraft:peony:half=lower
block.10106=minecraft:wheat minecraft:carrots minecraft:potatoes minecraft:beetroots
block.10107=minecraft:sunflower:half=upper minecraft:pitcher_plant:half=upper
block.10108=minecraft:sunflower:half=lower minecraft:pitcher_plant:half=lower minecraft:pitcher_crop:half=upper
block.10109=minecraft:cherry_leaves
block.10110=minecraft:oak_leaves minecraft:spruce_leaves minecraft:birch_leaves minecraft:jungle_leaves minecraft:acacia_leaves minecraft:dark_oak_leaves minecraft:azalea_leaves minecraft:flowering_azalea_leaves minecraft:mangrove_leaves minecraft:pale_oak_leaves 
block.10111=minecraft:vine 
block.10112=minecraft:lily_pad
block.10113=minecraft:pumpkin_stem minecraft:attached_pumpkin_stem minecraft:melon_stem minecraft:attached_melon_stem
block.10120=minecraft:sugar_cane minecraft:nether_wart minecraft:hanging_roots minecraft:spore_blossom  
block.10121=minecraft:oak_sapling minecraft:spruce_sapling minecraft:birch_sapling minecraft:jungle_sapling minecraft:acacia_sapling minecraft:dark_oak_sapling minecraft:cherry_sapling minecraft:mangrove_propagule minecraft:pale_oak_sapling
block.10122=minecraft:dead_bush 
block.10123=minecraft:azalea minecraft:flowering_azalea 
block.10124=minecraft:cave_vines minecraft:cave_vines_plant
block.10125=minecraft:big_dripleaf minecraft:big_dripleaf_stem 
block.10126=minecraft:small_dripleaf 
block.10127=minecraft:pink_petals 
block.10128=minecraft:pitcher_crop:half=lower
block.10129=minecraft:pale_hanging_moss

block.10130=minecraft:seagrass
block.10131=minecraft:tall_seagrass:half=upper minecraft:kelp minecraft:kelp_plant
block.10132=minecraft:tall_seagrass:half=lower
block.10133=minecraft:tube_coral minecraft:brain_coral minecraft:bubble_coral minecraft:fire_coral minecraft:horn_coral minecraft:tube_coral_fan minecraft:brain_coral_fan minecraft:bubble_coral_fan minecraft:fire_coral_fan minecraft:horn_coral_fan minecraft:tube_coral_wall_fan minecraft:brain_coral_wall_fan minecraft:bubble_coral_wall_fan minecraft:fire_coral_wall_fan minecraft:horn_coral_wall_fan

block.10140=minecraft:cobweb 

block.10190=minecraft:weeping_vines_plant minecraft:weeping_vines 
block.10191=minecraft:twisting_vines_plant minecraft:twisting_vines

block.10200=minecraft:redstone_wire 
block.10207=minecraft:redstone_torch:lit=true minecraft:redstone_wall_torch:lit=true minecraft:soul_torch minecraft:soul_wall_torch
block.10210=minecraft:soul_campfire:lit=true
block.10214=minecraft:torch minecraft:wall_torch minecraft:end_rod
block.10215=minecraft:campfire:lit=true
block.10216=minecraft:magma_block minecraft:ochre_froglight minecraft:verdant_froglight minecraft:pearlescent_froglight minecraft:sea_lantern minecraft:waxed_copper_bulb:lit=true minecraft:copper_bulb:lit=true 
block.10217=minecraft:jack_o_lantern 
block.10218=minecraft:waxed_exposed_copper_bulb:lit=true minecraft:exposed_copper_bulb:lit=true 
block.10226=minecraft:soul_lantern:hanging=false
block.10231=minecraft:glowstone minecraft:shroomlight minecraft:redstone_lamp:lit=true minecraft:lantern:hanging=false 
block.10245=minecraft:furnace:lit=true minecraft:blast_furnace:lit=true minecraft:smoker:lit=true 
block.10248=minecraft:lava minecraft:flowing_lava
block.10249=minecraft:fire
block.10250=minecraft:beacon 
block.10251=minecraft:lantern:hanging=true
block.10252=minecraft:soul_fire
block.10253=minecraft:soul_lantern:hanging=true
block.10254=minecraft:sculk minecraft:sculk_vein
block.10255=minecraft:sculk_catalyst
block.10256=minecraft:sculk_sensor minecraft:calibrated_sculk_sensor 

block.10300=minecraft:water minecraft:flowing_water  
block.10301=minecraft:ice 
block.10302=minecraft:slime_block minecraft:honey_block 
block.10303=minecraft:nether_portal 
block.10304=minecraft:white_stained_glass minecraft:orange_stained_glass minecraft:magenta_stained_glass minecraft:light_blue_stained_glass minecraft:yellow_stained_glass minecraft:lime_stained_glass minecraft:pink_stained_glass minecraft:gray_stained_glass minecraft:light_gray_stained_glass minecraft:cyan_stained_glass minecraft:purple_stained_glass minecraft:blue_stained_glass minecraft:brown_stained_glass minecraft:green_stained_glass minecraft:red_stained_glass minecraft:black_stained_glass minecraft:white_stained_glass_pane minecraft:orange_stained_glass_pane minecraft:magenta_stained_glass_pane minecraft:light_blue_stained_glass_pane minecraft:yellow_stained_glass_pane minecraft:lime_stained_glass_pane minecraft:pink_stained_glass_pane minecraft:gray_stained_glass_pane minecraft:light_gray_stained_glass_pane minecraft:cyan_stained_glass_pane minecraft:purple_stained_glass_pane minecraft:blue_stained_glass_pane minecraft:brown_stained_glass_pane minecraft:green_stained_glass_pane minecraft:red_stained_glass_pane minecraft:black_stained_glass_pane minecraft:glass_pane minecraft:glass minecraft:tinted_glass

block.10400=minecraft:lectern
block.10401=minecraft:sign minecraft:oak_sign minecraft:spruce_sign minecraft:birch_sign minecraft:jungle_sign minecraft:acacia_sign minecraft:dark_oak_sign minecraft:mangrove_sign minecraft:wall_sign minecraft:oak_wall_sign minecraft:spruce_wall_sign minecraft:birch_wall_sign minecraft:jungle_wall_sign minecraft:acacia_wall_sign minecraft:dark_oak_wall_sign minecraft:mangrove_wall_sign
block.10404=minecraft:sand minecraft:suspicious_sand minecraft:sandstone minecraft:sandstone_stairs minecraft:sandstone_slab minecraft:sandstone_wall minecraft:smooth_sandstone minecraft:smooth_sandstone_stairs minecraft:smooth_sandstone_slab minecraft:cut_sandstone minecraft:cut_sandstone_slab minecraft:chiseled_sandstone

#else

#Pre-1.13 Mapping

block.10101=minecraft:tallgrass
block.10103=minecraft:yellow_flower minecraft:red_flower
block.10104=minecraft:double_plant:half=upper
block.10105=minecraft:double_plant:half=lower
block.10106=minecraft:wheat minecraft:carrots minecraft:potatoes minecraft:beetroots
block.10110=minecraft:leaves minecraft:leaves2
block.10111=minecraft:vine
block.10112=minecraft:waterlily 
block.10113=minecraft:pumpkin_stem minecraft:melon_stem
block.10120=minecraft:deadbush minecraft:reeds minecraft:nether_wart
block.10121=minecraft:sapling 
block.10140=minecraft:cobweb 

block.10200=minecraft:redstone_wire
block.10207=minecraft:lit_redstone_torch
block.10214=minecraft:torch minecraft:end_rod
block.10216=minecraft:magma minecraft:sea_lantern
block.10217=minecraft:lit_pumpkin 
block.10231=minecraft:glowstone minecraft:lit_redstone_lamp
block.10245=minecraft:lit_furnace
block.10248=minecraft:lava minecraft:flowing_lava
block.10249=minecraft:fire
block.10250=minecraft:beacon

block.10300=minecraft:water minecraft:flowing_water 
block.10301=minecraft:ice 
block.10302=minecraft:slime 
block.10303=minecraft:portal 
block.10304=minecraft:stained_glass minecraft:stained_glass_pane 

block.10401=minecraft:sign minecraft:wall_sign
block.10404=minecraft:sand minecraft:suspicious_sand minecraft:sandstone minecraft:sandstone_stairs minecraft:sandstone_slab minecraft:sandstone_wall minecraft:smooth_sandstone minecraft:smooth_sandstone_stairs minecraft:smooth_sandstone_slab minecraft:cut_sandstone minecraft:cut_sandstone_slab minecraft:chiseled_sandstone

#endif